import 'package:flutter/material.dart';
import 'package:photo_view/photo_view.dart';

import '../model/endpointData.dart';

class LargeProfilePictureView extends StatelessWidget {
  final String username;
  const LargeProfilePictureView(this.username, {super.key});

  @override
  Widget build(BuildContext context) => Scaffold(
      appBar: AppBar(
        title: const Text('Profilbild'),
      ),
      body: PhotoView(
        imageProvider: Image.network('https://${EndpointData().nextcloud().full()}/avatar/$username/1024').image,
        backgroundDecoration: BoxDecoration(color: Theme.of(context).colorScheme.surface),
      ),
    );
}
